Bug 476475 - Review Request: python-zope-filesystem - Python-Zope Libraries Base Filesystem
Summary: Review Request: python-zope-filesystem - Python-Zope Libraries Base Filesystem
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 476524
TreeView+ depends on / blocked
 
Reported: 2008-12-15 04:40 UTC by Conrad Meyer
Modified: 2008-12-18 01:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-18 01:46:29 UTC
Type: ---
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Conrad Meyer 2008-12-15 04:40:18 UTC
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-zope-filesystem.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-filesystem-1-1.fc9.src.rpm
Description:
This package contains the base filesystem layout for all Fedora
python-zope-* packages.

Comment 1 Conrad Meyer 2008-12-15 04:41:58 UTC
Note: this must be non-noarch because python_sitearch's location varies depending on the arch.

Comment 2 Kevin Kofler 2008-12-17 23:20:04 UTC
On non-lib64 platforms, I get "file listed twice" warnings, because python_sitelib is the same as python_sitearch.

I think this should be something like:
# For noarch packages: sitelib
%{python_sitelib}/zope
%if "%{python_sitearch}" != "%{python_sitelib}"
# For arch-specific packages: sitearch
%{python_sitearch}/zope
%endif

Comment 3 Kevin Kofler 2008-12-17 23:23:10 UTC
Next up: rpmlint output:

> python-zope-filesystem.i386: W: no-documentation
Harmless, it's a trivial package. If you're pedantic, you can add a %doc COPYING with the GPL in it, but I guess we can do without.

> python-zope-filesystem.i386: E: no-binary
Harmless, see comment #1.

I'll run it through my checklist next.

Comment 4 Kevin Kofler 2008-12-17 23:23:53 UTC
(rpmlint on the SRPM comes up empty, that's good.)

Comment 5 Kevin Kofler 2008-12-17 23:42:00 UTC
cp %{SOURCE0} __init__.py clobbers timestamp, should be cp -p.

Comment 6 Kevin Kofler 2008-12-17 23:54:21 UTC
Reviewing the updated specfile (same URL):

MUST Items:
+ rpmlint output OK (see comment #3)
+ named and versioned according to the Package Naming Guidelines
+ spec file name matches base package name
+ Packaging Guidelines:
  + License ZPLv2.1 OK
  + No patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
  + Complies with the FHS (uses proper Python directories)
  + proper changelog, tags, BuildRoot, Requires (none needed, python(abi) dependency autodetected), BuildRequires, Summary, Description
  + no non-UTF-8 characters
  + no relevant documentation which would need to be included
  + nothing to compile, so RPM_OPT_FLAGS, debuginfo, static libraries, .la files, duplicated system libraries, rpaths, _smp_mflags don't apply
  + debuginfo package is properly disabled (package is only arch-specific because of python_sitearch)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + no executables, so no .desktop file present or needed
  + no timestamp-clobbering file commands
  + scriptlets are valid
  + not a web application, so web application guideline doesn't apply
  + no conflicts (assuming python-zope-interface gets changed to use this, otherwise we have a file conflict, but that's planned already)
+ complies with all the legal guidelines
+ no license which would need including as %doc
+ spec file written in American English
+ spec file is legible
+ no upstream to compare source against ("source" is only a trivial __init__.py file)
+ builds on at least one arch (F9 i386 live system)
+ no known non-working arches, so no ExcludeArch needed
+ all build dependencies listed as BuildRequires
+ no translations, so locale guidelines don't apply
+ no shared libraries, so need to call ldconfig
+ package not relocatable
+ ownership correct (owns package-specific directories, doesn't own directories owned by another package)
+ no duplicate files in %files
+ permissions set properly (defattr used correctly)
+ %clean section present and correct
+ macros used where possible
+ no non-code content
+ no large documentation files, so no -doc package needed
+ no %doc files, so no possible issues with %doc files required at runtime
+ no header files or .so symlinks which would need a -devel package
+ no static libraries, so no -static package needed
+ no .pc files, so no Requires: pkgconfig needed
+ no .la files
+ no GUI programs (in fact, no executables at all), so no .desktop file needed
+ buildroot is deleted at the beginning of %install
+ all filenames are valid UTF-8

SHOULD Items: 
? maybe we want to include a copy of the ZPLv2.1? But is it worth it for this trivial package? Not a blocker in any case.
+ no translations for description and summary provided (no upstream)
* mock build not tested
* all architectures not tested, there's not much potentially arch-specific in the package anyway
* no functionality test needed
+ scriptlets are sane
+ no subpackages, so "Usually, subpackages other than devel should require the base package using a fully versioned dependency." is irrelevant
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies

Nitpick: %if "%{python_sitearch}" != "%{python_sitelib}" could also be used in %install to avoid redundantly installing the file twice. But it doesn't really matter.

APPROVED

Comment 7 Conrad Meyer 2008-12-17 23:59:22 UTC
New Package CVS Request
=======================
Package Name: python-zope-filesystem
Short Description: Python-Zope Libraries Base Filesystem
Owners: konradm
Branches: F-10 F-9
InitialCC: felix.schwarz@oss.schwarz.eu

Comment 8 Kevin Fenzi 2008-12-18 00:41:04 UTC
We can't do arbitrary email addresses in InitialCC... they will need to get a FAS account to be added there. 

cvs done.

Comment 9 Conrad Meyer 2008-12-18 01:46:29 UTC
Built in rawhide, closing.


Note You need to log in before you can comment on or make changes to this bug.